Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class JavaBridgeRunner

    java.lang.Object
      php.java.bridge.http.HttpServer
          php.java.bridge.JavaBridgeRunner

All Implemented Interfaces:
  java.lang.Runnable

    public class JavaBridgeRunner

extends HttpServer

This is the main entry point for the PHP/Java Bridge library. Example:
public MyClass {
public static void main(String s[]) {
JavaBridgeRunner runner = new JavaBridgeRunner();
// connect to port 9267 and send protocol requests ...
runner.destroy();
}
}

Author:
  jostb
See Also:
  `PhpScriptContext`

Constructor Summary
`JavaBridgeRunner()` Create a new JavaBridgeRunner and ContextServer.

Method Summary
`ISocketFactory` | `bind()` Create a server socket.
`static void` | `main(java.lang.String[] s)` For internal tests only.

Methods inherited from class php.java.bridge.http.HttpServer
`destroy, getSocket, run`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBridgeRunner

    public JavaBridgeRunner()

  Create a new JavaBridgeRunner and ContextServer.

  See Also:
    `ContextServer`

Method Detail

### bind

    public ISocketFactory bind()

  Create a server socket.

  Specified by:
    `bind` in class `HttpServer`
  Returns:
    The server socket.

### main

    public static void main(java.lang.String[] s)
                     throws java.lang.InterruptedException

  For internal tests only.

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD